
%==========================================================================
%
% Description: This file demonstrates how to call a custom function in
%               matlab
%
% Author: C. Alex Simpkins
%
% Date: Sun, Nov. 4, 2007
%
% Inputs: This script loads the data TestData.mat, which contains sample
%           time-series data to perform the function on.
%
% Outputs: A plot figure with two plots contained within it.
%
%==========================================================================

%clear the command window
clc

%clear all other data from memory
clear all

%close any plots that are open
close all

%load the data into memory using the load command...
load TestData.mat

%check which variables are now in memory - it should be a variable called
%tdata
whos

%now call the function which we called cogs109_fun (see the cogs109_fun.m file
%in this same directory for how the file does what it does.  The number, 5
%in this case, determines simply what factor multiply the data by)
d=cogs109_fun(tdata, 5);



%plot the original data, and the data after we called our function
plot(tdata);

%keep that plot in place, so when we call plot() again, it won't erase what
%we have
hold on;

plot(d,'r--');

%this creates a legend to describe each plot line...
legend('input data (tdata)','output data (d) is 5 times larger in amplitude');

%we always label the x and y axes...
xlabel('variable index');
ylabel('data amplitude');
title('Compare our sine wave, and the results of calling the function, which is what we passed into the function times 5');