%==========================================================================
%
% Description: This file demonstrates how create a custom function in
%               matlab
%
% Author: C. Alex Simpkins
%
% Date: Sun, Nov. 4, 2007
%
% Inputs: This script takes in x (some data array or point), and multiplies
%         it by the factor 'scaling' (scaling must be a constant number)
%
% Outputs: Scaled data rdata
%
%==========================================================================

%we define a function by starting the file with 'function' 
%   -then giving the return variables (in this case rdata, but you don't 
%       actually have to return anything - think about the plot() command - 
%       that is a function and does not return anything)
%   -next we write the = sign, and the name of the function (Note - the
%       name of the function must also be the name of the m-file, so our
%       function is called cogs109_fun, and the file name is cogs109_fun.m
%   -now, in parentheses, we specify what the function expects as input,
%   which here is data 'x', and some scale factor 'scaling'

function rdata = cogs109_fun(x, scaling)

%we do a simple multiplication (note we don't need the dot operator, since
%'scaling' is just a single value constant coefficient)
rdata = x*scaling;


%the function will automatically return to the location it was called from
%when finished with its computation.
